### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, TransactGetItemsInput, TransactGetSingleTableRequest<T>>
  - TransactGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- mapResponse
- returnConsumedCapacity

## Constructors

### constructor

- new TransactGetSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>): TransactGetSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:14

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

  #### Returns TransactGetSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:28

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: TransactGetItemsInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### exec

- exec(): Observable<T[]>

- - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:30

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<TransactGetResponse<T>>

- - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:26

  #### Returns Observable<TransactGetResponse<T>>

### Private mapResponse

- mapResponse(response: TransactGetItemsOutput): TransactGetResponse<T>

- - Defined in dynamo/request/transactgetsingletable/transact-get-single-table.request.ts:37

  #### Parameters

  - ##### response: TransactGetItemsOutput

  #### Returns TransactGetResponse<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactGetSingleTableRequest<T>

Generated using TypeDoc